Status: Resolved Start date: 02/19/2013
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.9
Description

I need to receive the original send timestamp of an event replayed using rsbag. The documentation indicates that this is possible using
the :adjustments argument:
http://docs.cor-lab.de//rsbag-manual/trunk/html/bag-play.html#adjusting-timestamps-during-replay
However, this seems to be unsupported by the remote-controlled strategy:

jwienke@augit:~/Desktop$ /homes/jwienke/Desktop/bag-tools/master/bag-play -p none -r 'remote-controlled :uri
"spread:/control" :adjustments ((:original_send (:copy :send)))' -c '/monitoring.*' -c '/runner/states/entry/' nao-explorative.tide
spread:
STYLE-WARNING: Undefined alien: "SSLv2_client_method" 
Invalid initialization argument:
  :ADJUSTMENTS
in call for class #<STANDARD-CLASS RSBAG.RSB.REPLAY:REMOTE-CONTROLLED>.
See also:
  The ANSI Standard, Section 7.1.2

Also tested with current trunk version.

Related issues:
Blocked by Robotics Service Bus - Feature # 1425: Implement framework-level e... Resolved 02/19/2013

Associated revisions
Revision c98a9870 - 02/19/2013 05:44 PM - J. Moringen

Added timestamp-adjustment-mixin in src/rsb/replay/{interactive,remote-controlled}.lisp

refs #1423

    -  src/rsb/replay/interactive.lisp (interactive): added superclass
  `timestamp-adjustment-mixin'

    -  src/rsb/replay/remote-controlled.lisp (remote-controlled): likewise
    -  cl-rsbag.asd (system cl-rsbag): added dependency of

  src/rsb/replay/interactive.lisp and
  src/rsb/replay/remote-controlled.lisp on
  src/rsb/replay/timestamp-adjustment-mixin.lisp

Revision 0b463b8a - 02/19/2013 07:40 PM - J. Moringen

Backport: Added timestamp-adjustment-mixin in src/rsb/replay/{interactive,remote-controlled}.lisp
History
#1 - 02/19/2013 04:16 PM - J. Moringen
- Status changed from New to In Progress

#2 - 02/26/2013 04:53 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Not sure if this should be reimplemented using the generic transform mechanism. At least not now anyway.
